> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bill by IRN

> Fetch the E-Way Bill created by passing the invoice registration number (IRN).

#### Response schema

For successful responses, this resource describes the NIC payload at `data.Data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-invoice/get_e_way_bill_response.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill:
    get:
      tags:
        - e-Invoice1
        - E-Way Bill
      summary: Get E-Way Bill by IRN
      operationId: getEWayBillByIrn
      parameters:
        - name: irn
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Invoice access token. For token-generation steps, refer to the
            [Generate E-Invoice
            Session](/recipes/gst/authentication/generate_e_invoice_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-source
          in: header
          description: >-
            Specifies the source to access, either primary (NIC 1) or secondary
            (NIC 2)
          required: false
          example: ''
          schema:
            type: string
            enum:
              - primary
              - secondary
            default: primary
            example: primary
        - name: x-proxy
          in: header
          description: >-
            Enables criss-cross operations by routing requests through the
            specified source (e.g., access primary via secondary if primary is
            unavailable)
          required: false
          example: ''
          schema:
            type: string
            enum:
              - primary
              - secondary
            example: secondary
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 200 Get EWB / 4005 EWB not found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetEWayBillByIrnResponse'
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      Data:
                        type: object
                        properties:
                          EwbDt:
                            type: string
                            example: '2023-03-30 17:46:00'
                          EwbNo:
                            type: number
                            example: 601010206231
                          EwbValidTill:
                            type: string
                            example: '2023-03-31 23:59:00'
                          GenGstin:
                            type: string
                            example: 24AAAPI3182M002
                          Status:
                            type: string
                            example: ACT
                        nullable: true
                      ErrorDetails:
                        type: array
                        items:
                          type: object
                          properties:
                            ErrorCode:
                              type: string
                            ErrorMessage:
                              type: string
                        nullable: true
                        example:
                          - ErrorCode: '2154'
                            ErrorMessage: IRN details are not found
                      InfoDtls:
                        type: array
                        items:
                          type: object
                          properties:
                            InfoCode:
                              type: string
                            InfoMessage:
                              type: string
                        nullable: true
                        example: null
                      Status:
                        type: number
                        example: 1
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 9266ba6d-6f2a-4d67-9ec1-9229b2c612e5
              examples:
                200 Get EWB:
                  summary: 200 Get EWB
                  value:
                    code: 200
                    data:
                      Data:
                        EwbDt: '2023-03-30 17:46:00'
                        EwbNo: 601010206231
                        EwbValidTill: '2023-03-31 23:59:00'
                        GenGstin: 24AAAPI3182M002
                        Status: ACT
                      ErrorDetails: null
                      InfoDtls: null
                      Status: 1
                    timestamp: 1763446641000
                    transaction_id: 9266ba6d-6f2a-4d67-9ec1-9229b2c612e5
                4005 EWB not found:
                  summary: 4005 EWB not found
                  value:
                    code: 200
                    data:
                      Data: null
                      ErrorDetails:
                        - ErrorCode: '4005'
                          ErrorMessage: Eway Bill details are not found
                      Status: 0
                    timestamp: 1746446708339
                    transaction_id: 793d1742-aed1-4728-aee5-3c5379359280
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetEWayBillByIrnResponse:
      oneOf:
        - $ref: '#/components/schemas/GetEWayBillByIrnSuccessResponse'
        - $ref: '#/components/schemas/EInvoiceBusinessErrorResponse'
      description: >-
        A successful NIC response or a NIC business-error response. Both
        variants use HTTP 200.
    GetEWayBillByIrnSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EInvoiceResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/GetEWayBillByIrnSuccessPayload'
    EInvoiceBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EInvoiceResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/EInvoiceBusinessErrorPayload'
    EInvoiceResponseMetadata:
      type: object
      description: Metadata returned with an e-Invoice API response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: HTTP-compatible Sandbox response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetEWayBillByIrnSuccessPayload:
      type: object
      required:
        - Data
        - ErrorDetails
        - InfoDtls
        - Status
      properties:
        Data:
          $ref: '#/components/schemas/GetEWayBillByIrnDetails'
        ErrorDetails:
          type: array
          items:
            $ref: '#/components/schemas/EInvoiceErrorDetail'
          nullable: true
        InfoDtls:
          type: array
          items:
            $ref: '#/components/schemas/EInvoiceInfoDetail'
          nullable: true
        Status:
          type: integer
          enum:
            - 1
          description: NIC success status.
    EInvoiceBusinessErrorPayload:
      type: object
      required:
        - Data
        - ErrorDetails
        - Status
      properties:
        Data:
          type: object
          nullable: true
          description: Null for a NIC business-error response.
        ErrorDetails:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/EInvoiceErrorDetail'
          nullable: true
        InfoDtls:
          type: array
          items:
            $ref: '#/components/schemas/EInvoiceInfoDetail'
          nullable: true
        Status:
          type: integer
          enum:
            - 0
          description: NIC business-error status.
    GetEWayBillByIrnDetails:
      description: >-
        NIC E-Way Bill payload returned at data.Data for a successful Sandbox
        response.
      type: object
      properties:
        EwbDt:
          type: string
          description: Date and time when the E-Way Bill was generated.
        EwbNo:
          type: number
          description: E-Way Bill number associated with the IRN.
          format: int64
        EwbValidTill:
          type: string
          description: Date and time until which the E-Way Bill is valid.
        GenGstin:
          type: string
          description: GSTIN that generated the E-Way Bill.
          minLength: 15
          maxLength: 15
        Status:
          type: string
          description: Current status of the E-Way Bill.
      required:
        - EwbNo
        - EwbDt
        - EwbValidTill
        - GenGstin
        - Status
    EInvoiceErrorDetail:
      type: object
      required:
        - ErrorCode
        - ErrorMessage
      properties:
        ErrorCode:
          type: string
          description: NIC error code.
        ErrorMessage:
          type: string
          description: NIC error message.
    EInvoiceInfoDetail:
      type: object
      required:
        - InfCd
        - Desc
      properties:
        InfCd:
          type: string
          description: NIC informational code.
        Desc:
          oneOf:
            - type: string
            - type: object
              required:
                - AckDt
                - AckNo
                - Irn
              properties:
                AckDt:
                  type: string
                AckNo:
                  type: integer
                  format: int64
                Irn:
                  type: string
                  minLength: 64
                  maxLength: 64
          description: NIC informational message or duplicate-IRN acknowledgement details.

````